kr.co.hanwha.hifive.view.refresh

## Interface HeaderListener

- All Known Implementing Classes:
    HeaderView

      public interface HeaderListener

  Created by sanghoonkwon on 2018. 1. 12..

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRefreshHeight()`
    `void` | `onRefreshAfter(int scrollY, int headerHeight)`
    `void` | `onRefreshBefore(int scrollY, int headerHeight)`
    `void` | `onRefreshCancel(int scrollY, int headerHeight)`
    `void` | `onRefreshComplete(int scrollY, int headerHeight, boolean isRefreshSuccess)`
    `void` | `onRefreshing(int scrollY, int headerHeight)`
    `void` | `onRefreshReady(int scrollY, int headerHeight)`

- - ### Method Detail

    - #### onRefreshBefore

          void onRefreshBefore(int scrollY,
                               int headerHeight)

    - #### onRefreshAfter

          void onRefreshAfter(int scrollY,
                              int headerHeight)

    - #### onRefreshReady

          void onRefreshReady(int scrollY,
                              int headerHeight)

    - #### onRefreshing

          void onRefreshing(int scrollY,
                            int headerHeight)

    - #### onRefreshComplete

          void onRefreshComplete(int scrollY,
                                 int headerHeight,
                                 boolean isRefreshSuccess)

    - #### onRefreshCancel

          void onRefreshCancel(int scrollY,
                               int headerHeight)

    - #### getRefreshHeight

          int getRefreshHeight()